package net.ericaro.neogrex;


public abstract class RegExpGraphBuilder<G extends Grex<S,T>, S, T> implements RegExpReceiver<G> {

	@Override
	public G end(G t) {
		return t;//.freeze();
	}

	@Override
	public G seq(G v1, G v2) {
		return v1.seq(v2);
	}

	@Override
	public G sel(G v1, G v2) {
		return v1.sel(v2);
	}

	@Override
	public abstract G terminal(String name);

	@Override
	public G star(G v) {
		return v.star();
	}

	@Override
	public G plus(G v) {
		return v.plus();
	}

	@Override
	public G opt(G v) {
		return v.opt();
	}

	
}
